[Prev: EXPIREAGE] | [Resources][TOC] | [Next: FASTTEMPFILES]

# EXPIREDATE

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_EXPIREDATE=`date

Element

  `<EXPIREDATE>
  ` date
  `</EXPIREDATE>
  `

Command-line Option

  `-expiredate` date

## Description

If defined, EXPIREDATE sets the expiration date for messages in an archive. During an archive update, any messages with dates less than the EXPIREDATE are automatically removed. If a message to be added is older than EXPIREDATE, it is not added.

The syntax for EXPIREDATE is as follows:

> DD`` Mon`` YYYY`` HH`:`MM`:`SS`` Zone

24 hour time must be used. The timezone is optional. If non-existent, the local zone is used. If a symbolic timezone is used (eg: "EST"), make sure it is defined in the TIMEZONES resource.

## Default Setting

Nil.

## Resource Variables

N/A

## Examples

EXPIREDATE is useful if you want to insure messages older than a specified date do not get archived. For example, if you want to make sure that no message before 1997 is added, then define EXPIREDATE as follows:

    <ExpireDate>
    1 Jan 1997 00:00:00
    </ExpireDate>

However, this specifies local time. It is possible that some message can get excluded that have a 1997 date (depending on what timezone you are in). The following is more accurate:

    <ExpireDate>
    1 Jan 1997 00:00:00 +0000
    </ExpireDate>

Or,

    <ExpireDate>
    1 Jan 1997 00:00:00 GMT
    </ExpireDate>

## Version

2.0

## See Also

EXPIREAGE, TIMEZONES

[Prev: EXPIREAGE] | [Resources][TOC] | [Next: FASTTEMPFILES]